%define mod_path %{_libdir}/naemon-livestatus
%define nagios_cfg /opt/monitor/etc/nagios.cfg
%define daemon_group apache
%define __python %{_bindir}/python2

Summary: Naemon Livestatus Eventbroker Module
Name: monitor-livestatus
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/Monitor
URL: https://www.itrsgroup.com
Source0: %name-%version.tar.gz
Prefix: %_prefix
Requires: monitor
Requires: python2
BuildRequires: libstdc++-devel
BuildRequires: gcc-c++
BuildRequires: pkgconfig
BuildRequires: libtool
BuildRequires: op5-naemon-devel
BuildRequires: autoconf, automake
BuildRequires: libicu-devel > 4.2
BuildRequires: cppunit-devel
BuildRequires: cppunit
BuildRequires: op5-naemon
BuildRequires: python2
BuildRoot: %{_tmppath}/%{name}-%{version}


%description
%name is an eventbroker module for op5 Monitor which allows
external programs to use the running Naemon daemon as a specialized
database. %name is a shallow fork of mk-livestatus by
Mathias Kettner.


%package -n unixcat
Summary: unixcat is a utility used to send data to a unix domain socket
Group: op5/system-addons

%description -n unixcat

%package test
Summary: Test requirements for Livestatus
Group: Development/Libraries
Requires: gcc
Requires: gcc-c++
Requires: autoconf, automake
Requires: make
Requires: pkgconfig
Requires: libtool
Requires: op5-naemon-devel, op5-naemon
Requires: cppunit, cppunit-devel
Requires: redhat-rpm-config
Requires: ruby
Requires: ruby-devel
Requires: python3

%description test
Test requirements

%prep
%setup -q


%build
autoreconf -is
%configure \
	--with-naemon-config-dir=/opt/monitor/etc/mconf \
	--with-broker-module-options="hidden_custom_var_prefix=OP5SECRET_ pnp_path=/opt/monitor/op5/pnp/perfdata /opt/monitor/var/rw/live"

%make_build

%check
LC_ALL=en_US.utf-8 %__make check

%install
%make_install

%{__install} -D -m 0644 api/python/__init__.py %{buildroot}%{python_sitelib}/livestatus/__init__.py
%{__install} -D -m 0644 api/python/livestatus.py %{buildroot}%{python_sitelib}/livestatus/livestatus.py
%{__install} -D -m 0644 op5build/livestatus.logrotate %{buildroot}%_sysconfdir/logrotate.d/livestatus

%post
# delete livestatus from main config, it's in a mconf dir
if grep -q 'broker_module.*livestatus\.' %nagios_cfg; then
	sed --follow-symlinks -i "/broker_module=.*livestatus\./d" %nagios_cfg
fi
# Use restart for initial install too, since we're restarting naemon.
%systemd_postun_with_restart monitor


%postun
%systemd_postun_with_restart monitor


%files
%defattr(-,root,root)
%mod_path
%mod_path/livestatus.so
%mod_path/livestatus.la
%{python_sitelib}/livestatus
%attr(755,monitor,%daemon_group) %config(noreplace) /opt/monitor/etc/mconf/livestatus.cfg
%attr(644,root,root) %_sysconfdir/logrotate.d/livestatus


%files -n unixcat
%defattr(755,root,root)
%_bindir/unixcat

%files test

%clean
rm -rf %buildroot

%changelog
* Thu Feb 11 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Build for EL8 and remove EL6 support.

* Wed Feb  5 2020 Aksel Sjögren <asjogren@itrsgroup.com>
- Run unit tests on all platforms.

* Tue Jun 14 2011 Andreas Ericsson <ae@op5.se>
- Initial specfile creation.
